[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# GetEGid

Return effective group ID

## Declaration

Source position: oldlinux.pp line 1373

`function GetEGid: LongInt;`

## Description

Get the effective group ID of the currently running process.

## Errors

None.

## See also

GetGid |  | Return real group ID

## Example

    Program Example18;

    { Program to demonstrate the GetGid and GetEGid functions. }

    Uses oldlinux;

    begin
     writeln ('Group Id = ',getgid,' Effective group Id = ',getegid);
    end.

Documentation generated on: Feb 26 2014